8.х терминальный сервер для Linux

Тема в разделе "Установка платформы "1С:Предприятие 8"", создана пользователем InoiFantom, 9 июл 2012.

  1. TopicStarter Overlay
    InoiFantom
    Offline

    InoiFantom Опытный в 1С

    Регистрация:
    3 апр 2011
    Сообщения:
    51
    Симпатии:
    0
    Баллы:
    26
    Здравствуйте.
    Необходимо настроить терминальный сервер в Linux. В связи с этим возникли след-ие вопросы:
    1. есть ли наиболее предпочтительные версии Linux или можно использовать любую из существующих версий?
    2. использовать 32 бит или 64 или особой разницы нет?
    3. возможно ли использование ПО Wine@Etersoft при работе с 1С?
    Заранее спасибо за любые полезные рекомендации по настройке.
  2. vartanet
    Offline

    vartanet Опытный в 1С Команда форума

    Регистрация:
    16 ноя 2010
    Сообщения:
    2.698
    Симпатии:
    15
    Баллы:
    29
    в 8.3 появилась поддержка клиентов для линукс. wine уже не нужен.
  3. TopicStarter Overlay
    InoiFantom
    Offline

    InoiFantom Опытный в 1С

    Регистрация:
    3 апр 2011
    Сообщения:
    51
    Симпатии:
    0
    Баллы:
    26
    а в 8.2?
  4. vartanet
    Offline

    vartanet Опытный в 1С Команда форума

    Регистрация:
    16 ноя 2010
    Сообщения:
    2.698
    Симпатии:
    15
    Баллы:
    29
    в 8.2 на линукс только серверная часть.
  5. nickpugachev
    Offline

    nickpugachev Профессионал в 1С Команда форума

    Регистрация:
    28 май 2012
    Сообщения:
    3.266
    Симпатии:
    131
    Баллы:
    104
    Если нужна 8.2, то wine вполне поможет. Учитывайте, что клиент 1С 32-битный
  6. Maxlinus
    Offline

    Maxlinus

    Регистрация:
    11 июл 2012
    Сообщения:
    5
    Симпатии:
    0
    Баллы:
    1
    ПО Wine@Etersoft хорошо умеет работать с 1с ,
    cам обслуживаю 2 сервера в связки RX+Wine@Etersoft +1c
  7. Maxlinus
    Offline

    Maxlinus

    Регистрация:
    11 июл 2012
    Сообщения:
    5
    Симпатии:
    0
    Баллы:
    1
    1.дистрибутив Linux можно выбрать из всех известных, но если что полегче тогда altlinux или ubuntu
    2. 32 или 64 битную ос , тут вам решать в зависимости от того сколько стоит памяти и какие принтеры, не для всех принтеров как я знаю есть драйвера на 64 битную архитектуру. если нужно чтобы 32 бит ОС увидела больше 4 гиг памяти то можно поставить PAE ядро.
    3. ответил выше:)
  8. alex-79
    Offline

    alex-79 Опытный в 1С

    Регистрация:
    21 сен 2006
    Сообщения:
    643
    Симпатии:
    1
    Баллы:
    29
    Я тоже задался целью поставить Линукс и настроить терминальный сервер. На этом сервере будет крутится файловая 1С 8.
    Подскажите какую версию линукса ставить и какой терминальный сервер.

    В сети будет пять компьютеров, т.е. 5 пользователей будут подсоединятся к 1С по терминалу.

    Будут ли танцы с бубном с лицензионными ключами 1с? Сейчас в каждом компе стоит ключ на одну лицензию.

    При таком раскладе стоит ли ставить 64-разрядны Линукс?

    P.S. Пробовал ставить Убунту 12.04 десктоп + FreeNX.
    FreeNX так и не поставился.

    Буду весьма признателен если кто опишет работающий вариант
  9. Maxlinus
    Offline

    Maxlinus

    Регистрация:
    11 июл 2012
    Сообщения:
    5
    Симпатии:
    0
    Баллы:
    1
    ключи придется поменять на один сетевой, чтобы был виден терминальным WINE@Etersoft
    По поводу Freenx

    ubuntu 12.04 не будет работать через freenx ,изза uniti , попробуйте Xubuntu 12.04 или kubuntu 12.04, у меня на домашнем подопытном компьютере Xubuntu 12.04+ freenx заработало без проблем по такой инструкции с habrahabr:


    Настройка freenx сервера
    В текущем репозитарии ubuntu 12.04 нет пакета esound-clients, который
    требует freenx. Скачиваем и устанавливаем нужные пакеты вручную.
    (удалите пробелы в http)
    Выполняем от root

    cd /tmp/
    add-apt-repository ppa:freenx-team
    sed -i 's/lucid/precise/g' /etc/apt/sources.list.d/freenx-team-ppa-precise.list
    wget de.archive.ubuntu.com/ubuntu/pool/main/e/esound/esound-common_0.2.41-8_all.deb de.archive.ubuntu.com/ubuntu/pool/main/e/esound/libesd0_0.2.41-8_amd64.deb de.archive.ubuntu.com/ubuntu/pool/main/e/esound/esound-clients_0.2.41-8_amd64.deb launchpad.net/ubuntu/+source/audiofile/0.2.6-8ubuntu1/+build/1416868/+files/libaudiofile0_0.2.6-8ubuntu1_amd64.deb
    dpkg -i esound-common_0.2.41-8_all.deb libesd0_0.2.41-8_amd64.deb esound-clients_0.2.41-8_amd64.deb libaudiofile0_0.2.6-8ubuntu1_amd64.deb
    apt-get -f -y install
    apt-get update
    apt-get install freenx -y
    wget bugs.launchpad.net/freenx-server/+bug/576359/+attachment/1378450/+files/nxsetup.tar.gz
    tar -xvf nxsetup.tar.gz
    sudo cp nxsetup /usr/lib/nx/nxsetup
    sudo /usr/lib/nx/nxsetup --install
    ----------------------------------------------------------

    или попробуйте версию от etersoft ftp://updates.etersoft.ru/pub/Etersoft/RX@Etersoft/
  10. alex-79
    Offline

    alex-79 Опытный в 1С

    Регистрация:
    21 сен 2006
    Сообщения:
    643
    Симпатии:
    1
    Баллы:
    29
    Я решил вопрос установкой Mandriva 2010.1 LAR x86. Это не чистая Mandriva, а сборка. Там в комплекте есть freeNX. Жалко, что Wine@Etersoft не работает на 64 разрядных Линуксах. Я отправлял письмо в Etersoft и они сказали, что Wine даже если установиться, то будет работать с глюками на 64 разрядных Линуксах.
    Надеюсь, что будующий сервер будет поддерживать PAE, что дает для 32 разрядного линукса поддерживать более 4 Гб оперативки.
    Но всё равно спасибо! Попробую на Xubuntu протестировать.

    Maxlinus А у Вас WINE@Etersoft установлен на 64 разрядной XUbuntu?
  11. Maxlinus
    Offline

    Maxlinus

    Регистрация:
    11 июл 2012
    Сообщения:
    5
    Симпатии:
    0
    Баллы:
    1
    есть сервер 32 бит и есть 64 бит(ubuntu 11.04), бывают конечно иногда закидоны в WINE@Etersoft, но я всем вывел ярлык на рабочий стол "Остановка WINE" (wineserver -k), и когда у какого нить пользователя начиняется что-то в 1с, он нажимает на него и потом опять открывает 1с77.
  12. Maxlinus
    Offline

    Maxlinus

    Регистрация:
    11 июл 2012
    Сообщения:
    5
    Симпатии:
    0
    Баллы:
    1
    для ubuntu 11.04 для PAE ядра нужно установить вот эти пакеты:


    linux-image-2.6.38-8-generic-pae linux-generic-pae linux-headers-generic-pae linux-image-generic-pae linux-headers-2.6.38-8-generic-pae

Поделиться этой страницей